TokyoTyrant::restore
TokyoTyrant::size
TokyoTyrant
PHP Manual

# TokyoTyrant::setMaster

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::setMaster — Set the replication master

### Description

public mixed TokyoTyrant::setMaster ( string `$host` , int `$port` , int `$timestamp` [, bool `$check_consistency` = true ] )

Sets the replication master of the database

Warning

This method is not supported on 32bit platforms.

### Parameters

`host`

  Hostname of the replication master. If `NULL` the replication is disabled.

`port`

  Port of the replication master

`timestamp`

  Beginning timestamp with microseconds

`check_consistency`

  Whether to check consistency.

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::setMaster() example

`<?php
/* Connect to a database */
$tt = new TokyoTyrant("tokyotyrant.example.com");
/* Disable the replication */
$tt->setMaster(NULL, 0, 0);
?>`

### See Also

- Classname::Method()

TokyoTyrant::restore
TokyoTyrant::size
TokyoTyrant
PHP Manual